%global momorel 7
%global xfce4ver 4.6.2

Summary:        A cellmodem plugin for the Xfce panel
Name:           xfce4-cellmodem-plugin
Version:        0.0.5
Release:        %{momorel}m%{?dist}
License:        GPL
Group:          Applications/System
URL:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cellmodem-plugin
Source0:        http://goodies.xfce.org/releases/xfce4-cellmodem-plugin/%{name}-%{version}.tar.gz
NoSource:	0

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libusb-devel >= 0.1.12
BuildRequires:  pciutils-devel
BuildRequires:  xfce4-dev-tools >= 4.6.0
BuildRequires:  zlib-devel
Requires:       xfce4-panel >= %{xfce4ver}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The cellmodem plugin is a monitoring plugin for cellular modems. It
reports provider and signal quality for GPRS/UMTS(3G)/HSDPA(3.5G)
modem cards. It works with mostly all cards which support an
out-of-band channel for monitoring purposes.

The current features include:
- Display the current network type (GPRS/UMTS)
- Display the current signal level
- Configure the maximum signal level
- Configure the low and critical signal level
- Asking for PIN if modem needs it
- Quick visual feedback on modem and registration status via LEDs

%prep
%setup -q

%build
intltoolize --force --copy ; aclocal ; autoconf
automake --add-missing
%configure  --libexecdir=%{_libdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-cellmodem-plugin
%{_datadir}/xfce4/panel-plugins/cellmodem.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.5-7m)
- full rebuild for mo7 release

* Mon Aug  9 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.5-6m)
- rebuild against xfce4-4.6.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.5-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.5-4m)
- rebuild against xfce4-4.6.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.5-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.5-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.5-1m)
- initial momonga package based on PLD
